AMQPQueue::getArgument
AMQPQueue::getFlags
AMQPQueue
PHP Manual

# AMQPQueue::getArguments

Get all arguments set on the given queue

### Description

public array AMQPQueue::getArguments ( void )

Get all arguments as an array of key/value pairs that are currently set on the given queue.

### Parameters

This function has no parameters.

### Return Values

An array containing all of the set key/value pairs.